Bug 53171 - ScrollPoint mouse does not work properly
ScrollPoint mouse does not work properly
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-04 16:48 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-04 16:58:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-04 16:48:47 EDT
Description of Problem:

Stick on IBM Scrollpoint mouse does not work.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. Configure mouse as specified in docs:      
2. xev does not show mouse events for buttons 4,5,6,7

Actual Results:

As above

Expected Results:

xev should report events for buttons 4,5,6,7 as the stick on the mouse is
moved around.

Additional Information:
Mouse is attached to USB port and event flow is processed via
drivers/input/mousedev.c.   My exploration leads me to believe that
drivers/input/mousedev.c does not contain the logic to recognize the mouse
initialization strings sent there by the X server.  But,  in XFree86-3.3.6
(with the same kernel)  the mouse can be initializaed properly and will
generate stick events.
Comment 1 Arjan van de Ven 2001-09-04 16:58:19 EDT
not a kernel bug it seems
Comment 2 Mike A. Harris 2001-09-18 04:28:41 EDT
Please report this bug upstream to XFree86 developers directly, so
it can be dealt with as quickly as possible.  Make sure you are using
the proper mouse driver, and have tried various combinations of mouse
drivers from the XFree86 mouse manpage prior to submission.  Include
all relevant details, and be detailed as possible when submitting your
report.  To submit the report, please email to:  xfree86@xfree86.org

Note You need to log in before you can comment on or make changes to this bug.